package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ContractFirstCollection extends AbstractObjectCollection 
{
    public ContractFirstCollection()
    {
        super(ContractFirstInfo.class);
    }
    public boolean add(ContractFirstInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ContractFirstCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ContractFirstInfo item)
    {
        return removeObject(item);
    }
    public ContractFirstInfo get(int index)
    {
        return(ContractFirstInfo)getObject(index);
    }
    public ContractFirstInfo get(Object key)
    {
        return(ContractFirstInfo)getObject(key);
    }
    public void set(int index, ContractFirstInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ContractFirstInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ContractFirstInfo item)
    {
        return super.indexOf(item);
    }
}